## cups 2.4.1op1-1ubuntu4.4+11.0trisquel0

=== conf/Makefile ===
#
# Configuration file makefile for CUPS.
#
# Copyright 2007-2015 by Apple Inc.
# Copyright 1993-2006 by Easy Software Products.
#
# Licensed under Apache License v2.0.  See the file "LICENSE" for more information.
#

include ../Makedefs

#
# Config files...
#

KEEP	=	cups-files.conf cupsd.conf snmp.conf
REPLACE	=	mime.convs mime.types


#
# Make everything...
#

all:


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:


#
# Clean all config and object files...
#

clean:


#
# Dummy depend...
#

depend:


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:
	for file in $(KEEP); do \
		if test -r $(SERVERROOT)/$$file ; then \
			$(INSTALL_CONFIG) -g $(CUPS_GROUP) $$file $(SERVERROOT)/$$file.N ; \
		else \
			$(INSTALL_CONFIG) -g $(CUPS_GROUP) $$file $(SERVERROOT) ; \
		fi ; \
		$(INSTALL_CONFIG) -g $(CUPS_GROUP) $$file $(DATADIR)/$$file.default; \
	done
	$(INSTALL_DIR) -m 755 $(DATADIR)/mime
	for file in $(REPLACE); do \
		if test -r $(DATADIR)/mime/$$file ; then \
			$(MV) $(DATADIR)/mime/$$file $(DATADIR)/mime/$$file.O ; \
		fi ; \
		if test -r $(SERVERROOT)/$$file ; then \
			$(MV) $(SERVERROOT)/$$file $(DATADIR)/mime/$$file.O ; \
		fi ; \
		$(INSTALL_DATA) $$file $(DATADIR)/mime ; \
	done
	-if test x$(PAMDIR) != x; then \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(PAMDIR); \
		if test -r $(BUILDROOT)$(PAMDIR)/cups ; then \
			$(INSTALL_DATA) $(PAMFILE) $(BUILDROOT)$(PAMDIR)/cups.N ; \
		else \
			$(INSTALL_DATA) $(PAMFILE) $(BUILDROOT)$(PAMDIR)/cups ; \
		fi ; \
	fi


#
# Install programs...
#

install-exec:


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Uninstall files...
#

uninstall:
	for file in $(KEEP) $(REPLACE); do \
		$(RM) $(SERVERROOT)/$$file; \
	done
	$(RM) $(DATADIR)/cupsd.conf.default
	-$(RMDIR) $(SERVERROOT)
	for file in $(REPLACE); do \
		$(RM) $(DATADIR)/mime/$$file; \
	done
	-$(RMDIR) $(DATADIR)/mime
	-if test x$(PAMDIR) != x; then \
		$(RM) $(BUILDROOT)$(PAMDIR)/cups; \
		$(RMDIR) $(BUILDROOT)$(PAMDIR); \
	fi

=== debian/changelog ===
cups (2.4.1op1-1ubuntu4.4+11.0trisquel0) aramo-security; urgency=medium

  * Add helper to force rebuild and reindex on i386 repo.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 13 Aug 2023 23:15:21 +0000

## cups 2.4.1op1-1ubuntu4.10+11.0trisquel0

=== .pc/0016-Debian-po4a-infrastructure-and-translations-for-manp.patch/man/Makefile ===
#
# Man page makefile for CUPS.
#
# Copyright © 2007-2019 by Apple Inc.
# Copyright © 1993-2006 by Easy Software Products.
#
# Licensed under Apache License v2.0.  See the file "LICENSE" for more
# information.
#

include ../Makedefs


#
# Man pages...
#

MAN1	=	cancel.1 \
		cups.1 \
		cups-config.1 \
		cupstestppd.1 \
		ippeveprinter.1 \
		$(IPPFIND_MAN) \
		ipptool.1 \
		lp.1 \
		lpoptions.1 \
		lpq.1 \
		lprm.1 \
		lpr.1 \
		lpstat.1 \
		ppdc.1 \
		ppdhtml.1 \
		ppdi.1 \
		ppdmerge.1 \
		ppdpo.1
MAN5	=	classes.conf.5 \
		client.conf.5 \
		cups-files.conf.5 \
		cups-snmp.conf.5 \
		cupsd.conf.5 \
		cupsd-logs.5 \
		ipptoolfile.5 \
		mailto.conf.5 \
		mime.convs.5 \
		mime.types.5 \
		ppdcfile.5 \
		printers.conf.5 \
		subscriptions.conf.5
MAN7	=	backend.7 \
		filter.7 \
		ippevepcl.7 \
		notifier.7
MAN8	=	cupsaccept.8 \
		cupsctl.8 \
		cupsfilter.8 \
		cups-lpd.8 \
		cups-snmp.8 \
		cupsd.8 \
		cupsd-helper.8 \
		cupsenable.8 \
		lpadmin.8 \
		lpinfo.8 \
		lpmove.8 \
		lpc.8


#
# Make everything...
#

all:	$(MAN1) $(MAN5) $(MAN7) $(MAN8)


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:


#
# Clean all config and object files...
#

clean:
	$(RM) mantohtml mantohtml.o


#
# Dummy depend target...
#

depend:


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data: all
	echo Installing man pages in $(MANDIR)/man1...
	$(INSTALL_DIR) -m 755 $(MANDIR)/man1
	for file in $(MAN1); do \
		$(INSTALL_MAN) $$file $(MANDIR)/man1; \
	done
	echo Installing man pages in $(MANDIR)/man5...
	$(INSTALL_DIR) -m 755 $(MANDIR)/man5
	for file in $(MAN5); do \
		$(INSTALL_MAN) $$file $(MANDIR)/man5; \
	done
	echo Installing man pages in $(MANDIR)/man7...
	$(INSTALL_DIR) -m 755 $(MANDIR)/man7
	for file in $(MAN7); do \
		$(INSTALL_MAN) $$file $(MANDIR)/man7; \
	done
	$(RM) $(MANDIR)/man7/ippeveps.7
	$(LN) ippevepcl.7 $(MANDIR)/man7/ippeveps.7
	echo Installing man pages in $(MANDIR)/man8...
	$(INSTALL_DIR) -m 755 $(MANDIR)/man8
	for file in $(MAN8); do \
		$(INSTALL_MAN) $$file $(MANDIR)/man8; \
	done
	$(RM) $(MANDIR)/man8/cupsdisable.8
	$(LN) cupsenable.8 $(MANDIR)/man8/cupsdisable.8
	$(RM) $(MANDIR)/man8/cupsreject.8
	$(LN) cupsaccept.8 $(MANDIR)/man8/cupsreject.8
	for file in cups-deviced.8 cups-driverd.8 cups-exec.8; do \
		$(RM) $(MANDIR)/man8/$$file; \
		$(LN) cupsd-helper.8 $(MANDIR)/man8/$$file; \
	done


#
# Install programs...
#

install-exec:


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Uninstall files...
#

uninstall:
	echo Uninstalling man pages from $(MANDIR)/man1...
	for file in $(MAN1); do \
		$(RM) $(MANDIR)/man1/$$file; \
	done
	-$(RMDIR) $(MANDIR)/man1
	echo Uninstalling man pages from $(MANDIR)/man5...
	for file in $(MAN5); do \
		$(RM) $(MANDIR)/man5/$$file; \
	done
	-$(RMDIR) $(MANDIR)/man5
	echo Uninstalling man pages from $(MANDIR)/man7...
	for file in $(MAN7) ippeveps.7; do \
		$(RM) $(MANDIR)/man7/$$file; \
	done
	-$(RMDIR) $(MANDIR)/man7
	echo Uninstalling man pages from $(MANDIR)/man8...
	for file in $(MAN8) cupsenable.8 cupsreject.8 cups-deviced.8 cups-driverd.8 cups-exec.8; do \
		$(RM) $(MANDIR)/man8/$$file; \
	done
	-$(RMDIR) $(MANDIR)/man8


#
# Local programs (not built when cross-compiling...)
#

local:	html


#
# Make html versions of man pages...
#

html:	$(MAN1) $(MAN5) $(MAN7) $(MAN8) mantohtml
	echo Converting man pages to HTML...
	for file in $(MAN1); do \
		echo "    $$file..."; \
		./mantohtml $$file >../doc/help/man-`basename $$file .1`.html; \
	done
	for file in $(MAN5); do \
		echo "    $$file..."; \
		./mantohtml $$file >../doc/help/man-`basename $$file .5`.html; \
	done
	for file in $(MAN7); do \
		echo "    $$file..."; \
		./mantohtml $$file >../doc/help/man-`basename $$file .7`.html; \
	done
	for file in $(MAN8); do \
		echo "    $$file..."; \
		./mantohtml $$file >../doc/help/man-`basename $$file .8`.html; \
	done

mantohtml:	mantohtml.c
	$(CC_FOR_BUILD) -o $@ $<

=== debian/changelog ===
cups (2.4.1op1-1ubuntu4.10+11.0trisquel0) aramo-security; urgency=medium

  * Add helper to force rebuild and reindex on i386 repo.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 28 Jun 2024 13:38:00 +0000

## cups 2.4.1op1-1ubuntu4.11+11.0trisquel0

=== debian/changelog ===
cups (2.4.1op1-1ubuntu4.11+11.0trisquel0) aramo-security; urgency=medium

  * Add helper to force rebuild and reindex on i386 repo.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 Sep 2024 22:44:47 +0000

## cups 2.4.1op1-1ubuntu4.12+11.0trisquel0

=== man/Makefile ===
#
# Man page makefile for CUPS.
#
# Copyright © 2007-2019 by Apple Inc.
# Copyright © 1993-2006 by Easy Software Products.
#
# Licensed under Apache License v2.0.  See the file "LICENSE" for more
# information.
#

include ../Makedefs


#
# Man pages...
#

MAN1	=	cancel.1 \
		cups.1 \
		cups-config.1 \
		cupstestppd.1 \
		ippeveprinter.1 \
		$(IPPFIND_MAN) \
		ipptool.1 \
		lp.1 \
		lpoptions.1 \
		lpq.1 \
		lprm.1 \
		lpr.1 \
		lpstat.1 \
		ppdc.1 \
		ppdhtml.1 \
		ppdi.1 \
		ppdmerge.1 \
		ppdpo.1
MAN5	=	classes.conf.5 \
		client.conf.5 \
		cups-files.conf.5 \
		cups-snmp.conf.5 \
		cupsd.conf.5 \
		cupsd-logs.5 \
		ipptoolfile.5 \
		mailto.conf.5 \
		mime.convs.5 \
		mime.types.5 \
		ppdcfile.5 \
		printers.conf.5 \
		subscriptions.conf.5
MAN7	=	backend.7 \
		filter.7 \
		ippevepcl.7 \
		notifier.7
MAN8	=	cupsaccept.8 \
		cupsctl.8 \
		cupsfilter.8 \
		cups-lpd.8 \
		cups-snmp.8 \
		cupsd.8 \
		cupsd-helper.8 \
		cupsenable.8 \
		lpadmin.8 \
		lpinfo.8 \
		lpmove.8 \
		lpc.8

LANGUAGES=de fr

#
# Make everything...
#

all:	$(MAN1) $(MAN5) $(MAN7) $(MAN8) translations

translations:
	# Update the translations and build the translated material
	po4a --previous ../debian/manpage-po4a/cups.cfg
	for lang in $(LANGUAGES); do $(MAKE) -C $$lang; done


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:


#
# Clean all config and object files...
#

clean:
	$(RM) mantohtml mantohtml.o
	$(RM) $(MAN1) $(MAN5) $(MAN7) $(MAN8)
	for lang in $(LANGUAGES); do $(MAKE) -C $$lang clean; done
	# Make sure the PO files are updated and remove generated
	# translations.
	po4a --previous --rm-translations ../debian/manpage-po4a/cups.cfg
	$(RM) ../debian/manpage-po4a/po/cups.pot


#
# Dummy depend target...
#

depend:


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data: all
	echo Installing man pages in $(MANDIR)/man1...
	$(INSTALL_DIR) -m 755 $(MANDIR)/man1
	for file in $(MAN1); do \
		$(INSTALL_MAN) $$file $(MANDIR)/man1; \
	done
	echo Installing man pages in $(MANDIR)/man5...
	$(INSTALL_DIR) -m 755 $(MANDIR)/man5
	for file in $(MAN5); do \
		$(INSTALL_MAN) $$file $(MANDIR)/man5; \
	done
	echo Installing man pages in $(MANDIR)/man7...
	$(INSTALL_DIR) -m 755 $(MANDIR)/man7
	for file in $(MAN7); do \
		$(INSTALL_MAN) $$file $(MANDIR)/man7; \
	done
	$(RM) $(MANDIR)/man7/ippeveps.7
	$(LN) ippevepcl.7 $(MANDIR)/man7/ippeveps.7
	echo Installing man pages in $(MANDIR)/man8...
	$(INSTALL_DIR) -m 755 $(MANDIR)/man8
	for file in $(MAN8); do \
		$(INSTALL_MAN) $$file $(MANDIR)/man8; \
	done
	$(RM) $(MANDIR)/man8/cupsdisable.8
	$(LN) cupsenable.8 $(MANDIR)/man8/cupsdisable.8
	$(RM) $(MANDIR)/man8/cupsreject.8
	$(LN) cupsaccept.8 $(MANDIR)/man8/cupsreject.8
	for file in cups-deviced.8 cups-driverd.8 cups-exec.8; do \
		$(RM) $(MANDIR)/man8/$$file; \
		$(LN) cupsd-helper.8 $(MANDIR)/man8/$$file; \
	done
	for lang in $(LANGUAGES); do $(MAKE) -C $$lang install; done


#
# Install programs...
#

install-exec:


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Uninstall files...
#

uninstall:
	echo Uninstalling man pages from $(MANDIR)/man1...
	for file in $(MAN1); do \
		$(RM) $(MANDIR)/man1/$$file; \
	done
	-$(RMDIR) $(MANDIR)/man1
	echo Uninstalling man pages from $(MANDIR)/man5...
	for file in $(MAN5); do \
		$(RM) $(MANDIR)/man5/$$file; \
	done
	-$(RMDIR) $(MANDIR)/man5
	echo Uninstalling man pages from $(MANDIR)/man7...
	for file in $(MAN7) ippeveps.7; do \
		$(RM) $(MANDIR)/man7/$$file; \
	done
	-$(RMDIR) $(MANDIR)/man7
	echo Uninstalling man pages from $(MANDIR)/man8...
	for file in $(MAN8) cupsenable.8 cupsreject.8 cups-deviced.8 cups-driverd.8 cups-exec.8; do \
		$(RM) $(MANDIR)/man8/$$file; \
	done
	-$(RMDIR) $(AMANDIR)/man$(MAN8DIR)


#
# Local programs (not built when cross-compiling...)
#

local:	html


#
# Make html versions of man pages...
#

html:	$(MAN1) $(MAN5) $(MAN7) $(MAN8) mantohtml
	echo Converting man pages to HTML...
	for file in $(MAN1); do \
		echo "    $$file..."; \
		./mantohtml $$file >../doc/help/man-`basename $$file .1`.html; \
	done
	for file in $(MAN5); do \
		echo "    $$file..."; \
		./mantohtml $$file >../doc/help/man-`basename $$file .5`.html; \
	done
	for file in $(MAN7); do \
		echo "    $$file..."; \
		./mantohtml $$file >../doc/help/man-`basename $$file .7`.html; \
	done
	for file in $(MAN8); do \
		echo "    $$file..."; \
		./mantohtml $$file >../doc/help/man-`basename $$file .8`.html; \
	done

mantohtml:	mantohtml.c
	$(CC_FOR_BUILD) -o $@ $<

=== debian/changelog ===
cups (2.4.1op1-1ubuntu4.12+11.0trisquel0) aramo-security; urgency=medium

  * Add helper to force rebuild and reindex on i386 repo.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 11 Sep 2025 17:46:17 +0000

## cups 2.4.1op1-1ubuntu4.15+11.0trisquel0

=== debian/changelog ===
cups (2.4.1op1-1ubuntu4.15+11.0trisquel0) aramo-security; urgency=medium

  * Add helper to force rebuild and reindex on i386 repo.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 27 Nov 2025 21:52:38 +0000

cups (2.4.1op1-1ubuntu4.15) jammy-security; urgency=medium

  * SECURITY UPDATE: Local denial-of-service via cupsd.conf update and
    related issues
    - debian/patches/CVE-2025-61915.patch: fix various issues in cupsd in
      conf/cups-files.conf.in, config-scripts/cups-defaults.m4,
      config.h.in, configure, doc/help/man-cups-files.conf.html,
      man/cups-files.conf.5, scheduler/auth.c, scheduler/auth.h,
      scheduler/client.c, scheduler/conf.c, test/run-stp-tests.sh,
      vcnet/config.h, xcode/CUPS.xcodeproj/project.pbxproj, xcode/config.h.
    - CVE-2025-61915

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Nov 2025 09:33:06 -0500

## cups 2.4.1op1-1ubuntu4.16+11.0trisquel0

=== man/de/Makefile ===
#
#   Man page makefile for the Common UNIX Printing System (CUPS).
#

LANGUAGE=de

include ../Makefile.l10n

=== man/fr/Makefile ===
#
#   Man page makefile for the Common UNIX Printing System (CUPS).
#

LANGUAGE=fr

include ../Makefile.l10n

=== debian/changelog ===
cups (2.4.1op1-1ubuntu4.16+11.0trisquel0) aramo-security; urgency=medium

  * Add helper to force rebuild and reindex on i386 repo.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 04 Dec 2025 21:50:28 +0000

cups (2.4.1op1-1ubuntu4.16) jammy-security; urgency=medium

  * SECURITY UPDATE: Slow client communication leads to a possible DoS
    attack
    - debian/patches/CVE-2025-58436-1.patch: fix unresponsive cupsd process
      caused by a slow client in cups/http-private.h, cups/http.c,
      scheduler/client.c, scheduler/client.h, scheduler/select.c.
    - debian/patches/CVE-2025-58436-2.patch: fix an infinite loop issue in
      GTK+ in cups/http.c.
    - CVE-2025-58436
  * SECURITY REGRESSION: issue with invalid configuration (LP: #2133207)
    - debian/patches/lp2133207.patch: fix stopping scheduler on unknown
      directive in scheduler/conf.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Dec 2025 09:44:44 -0500

=== debian/control ===
Source: cups
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders:
 Till Kamppeter <till.kamppeter@gmail.com>,
 Thorsten Alteholz <debian@alteholz.de>,
Section: net
Priority: optional
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 13),
 dh-strip-nondeterminism,
 libavahi-client-dev,
 libavahi-common-dev,
 libdbus-1-dev,
 libgnutls28-dev,
 libkrb5-dev,
 libpam0g-dev,
 libpaper-dev,
 libsystemd-dev [linux-any],
 libtool,
 libusb-1.0-0-dev [!hurd-any],
 patch,
 pkg-config,
 po-debconf,
 po4a,
 zlib1g-dev,
 libapparmor-dev,
 libsnapd-glib-dev,
Build-Depends-Arch:
 dh-apparmor,
# libgmp-dev is not GPL-2 compatible before it's 6 release, which makes it also GPL-2+
Build-Conflicts:
 libgmp-dev (<< 2:6),
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/printing-team/cups
Vcs-Git: https://salsa.debian.org/printing-team/cups.git
Homepage: https://github.com/OpenPrinting/cups/
Rules-Requires-Root: no

Package: libcups2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 cups-common,
Pre-Depends:
 ${misc:Pre-Depends},
Description: Common UNIX Printing System(tm) - Core library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the base shared libraries for CUPS.

Package: cups
Architecture: any
Multi-Arch: foreign
Depends:
 cups-client (>= ${binary:Version}),
 cups-common (>= ${source:Version}),
 cups-core-drivers (>= ${binary:Version}),
 cups-daemon (>= ${binary:Version}),
 cups-filters,
 cups-ppdc,
 cups-server-common (>= ${source:Version}),
 debconf | debconf-2.0,
 ghostscript,
 libcups2 (= ${binary:Version}),
 poppler-utils,
 procps,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 avahi-daemon,
 colord,
 cups-filters | foomatic-filters,
 cups-filters | ghostscript-cups,
Suggests:
 cups-bsd,
 cups-pdf,
 foomatic-db-compressed-ppds | foomatic-db,
 smbclient,
 udev,
Pre-Depends:
 ${misc:Pre-Depends},
Description: Common UNIX Printing System(tm) - PPD/driver support, web interface
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the parts of CUPS which are needed for using printer
 drivers.

Package: cups-bsd
Architecture: any
Multi-Arch: foreign
Depends:
 cups-client (= ${binary:Version}),
 cups-common (>= ${source:Version}),
 debconf | debconf-2.0,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 cups,
 inetutils-inetd | inet-superserver,
 update-inetd,
Conflicts:
 lpr,
 lprng,
Provides:
 lpr,
Replaces:
 lpr,
Description: Common UNIX Printing System(tm) - BSD commands
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpr, lpd and the like.  It supports the
 Internet Printing Protocol (IPP), and has its own filtering driver
 model for handling various document types.
 .
 This package provides the BSD commands for interacting with CUPS.  It
 is provided separately to allow CUPS to coexist with other printing
 systems (to a small degree).

Package: cups-client
Architecture: any
Multi-Arch: foreign
Depends:
 adduser,
 cups-common (>= ${source:Version}),
 libcups2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 cups,
 cups-bsd,
 smbclient,
Conflicts:
 lprng,
Description: Common UNIX Printing System(tm) - client programs (SysV)
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the System V style print client programs.

Package: cups-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Common UNIX Printing System(tm) - common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides common files for CUPS server and client packages.

Package: cups-core-drivers
Architecture: any
Multi-Arch: foreign
Depends:
 cups-daemon (>= ${binary:Version}),
 cups-filters-core-drivers,
 libcups2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 avahi-daemon,
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 cups-server-common (<< 2.1.0-7~),
Replaces:
 cups-server-common (<< 2.1.0-7~),
Description: Common UNIX Printing System(tm) - driverless printing
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the parts of CUPS which are needed for driverless
 printing on IPP printers with common data formats.

Package: cups-daemon
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 bc,
 libcups2 (= ${binary:Version}),
 lsb-base,
 procps,
 ssl-cert,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 avahi-daemon,
 colord,
 cups-browsed,
 ipp-usb,
Suggests:
 cups,
 cups-bsd,
 cups-client (>= ${binary:Version}),
 cups-common (>= ${source:Version}),
 cups-filters,
 cups-filters | foomatic-filters,
 cups-pdf,
 cups-ppdc,
 cups-server-common (>= ${source:Version}),
 foomatic-db-compressed-ppds | foomatic-db,
 ghostscript,
 poppler-utils,
 smbclient,
 udev,
Breaks:
 cups (<< 2.1.0-6~),
Replaces:
 cups (<< 2.1.0-6~),
Description: Common UNIX Printing System(tm) - daemon
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon.

Package: cups-ipp-utils
Architecture: any
Multi-Arch: foreign
Depends:
 libcups2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 cups-client (<< 2.0.3-2~),
Replaces:
 cups-client (<< 2.0.3-2~),
Description: Common UNIX Printing System(tm) - IPP developer/admin utilities
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides IPP utilities for developers and system administrators

Package: cups-ppdc
Architecture: any
Multi-Arch: foreign
Section: utils
Depends:
 cups-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Common UNIX Printing System(tm) - PPD manipulation utilities
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides utilities to generate and manipulate PPD files.

Package: cups-server-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Common UNIX Printing System(tm) - server common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides common files for CUPS server.

Package: libcups2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 dpkg-dev,
 libcups2 (= ${binary:Version}),
 libcupsimage2-dev (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Common UNIX Printing System(tm) - Development files CUPS library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the files necessary for developing CUPS-aware
 applications and CUPS drivers, as well as examples how to communicate
 with cups from different programming languages (Perl, Java, and
 PHP).

Package: libcupsimage2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libcups2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libcupsfilters1,
Pre-Depends:
 ${misc:Pre-Depends},
Description: Common UNIX Printing System(tm) - Raster image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the image libraries for handling the CUPS
 raster format.

Package: libcupsimage2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcups2-dev (= ${binary:Version}),
 libcupsimage2 (= ${binary:Version}),
 libjpeg-dev,
 libpng-dev,
 libtiff-dev,
 zlib1g-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libcupsfilters-dev,
Description: Common UNIX Printing System(tm) - Development files CUPS image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the files necessary for developing applications
 that use the CUPS raster image format.
